2008年8月26日

[Apache-Users 7110] Re:Apache2.2の--enable-soがインストールできない

** Apache ユーザーズメーリングリスト **
** 注意:このメールへの返信は Apache-Users へ行きます **

こんにちは、鶴谷です。

aug721@xxxxx さん>

> オカムラと申します。

>
> Apache2.2のインストールがうまくできずに困っています。
>
> ./configure --enable-so
> とすると、下記のような警告が表示されます。
> configure: WARNING: Unrecognized options: --enable-so
>
> とりあえず無視して、PHPをインストールしてみましたが、
> ./configure --enable-mbstring --with-unixODBC
> --with-apxs2=/usr/local/apache2/bin/apxs
> 警告通り、下記のようなエラーが表示されます。
> apxs:Error: Sorry, no shared object support for Apache.
>
> Apacheのconfigure --helpには、--enable-soは存在していますが、なぜ、認識されないのでしょう
か?

警告は、サブディレクトリのconfigureが出していると思われるので、
無視しておけばいいのでしょう。

ところで、apache2.2.xの./configure --enable-soの実行後、
きちんとmake installしているのですよね?
その際、標準のモジュール類もきちんとインストールされているのでしょうか?
別のものを追加する前に、標準的なモジュールがきちんと動作するのかなどを
確認してみるのが一番だと思います。

--
鶴谷 直樹
E-mail: turutani@xxxxx
--
入退会・変更・配送一時停止は以下へ
http://mm.apache.jp/mailman/listinfo/apache-users


投稿者 xml-rpc : 2008年8月26日 22:22
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/76672
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。